{% extends 'base.html' %}
{% load static %}

{% block content %}
    <section id="registration" class="container">
        <div class="row justify-content-center">
            <div class="col-12 col-md-8">
                <div class="card-body form-group py-5">
                    <h1 class="card-title text-center">SIGN UP</h1>
                    <h5 class="card-text text-center mb-4">Please, join AnimeFLIX!</h5>

                    <form id='registration-form' method="post" novalidate>
                        {% csrf_token %}

                        <div class="row">
                            <div class="col-6">
                                <div class="form-row d-flex justify-content-center mt-3">
                                    <div class="form-group col-12 col-md-9">
                                        <label for="{{ form.email.id_for_label }}" class="form-label">
                                            <strong>{{ form.email.label }}</strong>
                                        </label>
                                        {{ form.email }}

                                        {% if form.email.errors %}
                                            <div class="invalid-feedback">
                                                {{ form.email.errors }}
                                            </div>
                                        {% endif %}
                                    </div>
                                </div>

                                <div class="form-row d-flex justify-content-center mt-3">
                                    <div class="form-group col-12 col-md-9">
                                        <label for="{{ form.password.id_for_label }}" class="form-label">
                                            <strong>{{ form.password.label }}</strong>
                                        </label>
                                        {{ form.password }}
                                        {% if form.password.help_text %}
                                            <p class="help mb-1">{{ form.password.help_text|safe }}</p>
                                        {% endif %}

                                        {% if form.password.errors %}
                                            <div class="invalid-feedback">
                                                {{ form.password.errors }}
                                            </div>
                                        {% endif %}
                                    </div>
                                </div>
                            </div>

                            <div class="col-6">
                                <div class="form-row d-flex justify-content-center mt-3">
                                    <div class="form-group col-12 col-md-9">
                                        <label for="{{ form.username.id_for_label }}" class="form-label">
                                            <strong>{{ form.username.label }}</strong>
                                        </label>
                                        {{ form.username }}

                                        {% if form.username.errors %}
                                            <div class="invalid-feedback">
                                                {{ form.username.errors }}
                                            </div>
                                        {% endif %}
                                    </div>
                                </div>

                                <div class="form-row row justify-content-center mt-3">
                                    <div class="form-group col-12 col-md-9 col-lg-3">
                                        <label for="{{ form.age.id_for_label }}" class="form-label me-2">
                                            <strong>{{ form.age.label }}</strong>
                                        </label>
                                        {{ form.age }}

                                        {% if form.age.errors %}
                                            <div class="invalid-feedback">
                                                {{ form.age.errors }}
                                            </div>
                                        {% endif %}
                                    </div>
                                    <div class="form-group col-12 col-md-9 col-lg-6 mt-3 mt-lg-0">
                                        <label for="{{ form.country.id_for_label }}" class="form-label me-2">
                                            <strong>{{ form.country.label }}</strong>
                                        </label>
                                        {{ form.country }}

                                        {% if form.country.errors %}
                                            <div class="invalid-feedback">
                                                {{ form.country.errors }}
                                            </div>
                                        {% endif %}
                                    </div>
                                </div>

                                <div class="form-row d-flex justify-content-center mt-3">
                                    <div class="form-group col-12 col-md-6">

                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-row d-flex justify-content-center mt-5">
                            <input type="submit" class="btn btn-primary px-3" id="registrationFormSubmitBtn" value="CREATE ACCOUNT">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
{% endblock %}